EJBCA can run on a supported application server (currently JEE7). Due to differences between application servers, your application server should be configured according to the application server specific instructions referenced below.

To download, refer to WildFly download and JBoss EAP download.

Supported Application Servers

The following is a list of supported application servers, with some legacy servers mentioned for clarity. While EJBCA could theoretically run on any JEE7 capable application server, the vast majority of our user base uses JBoss/WildFly, so focus has been given to documenting those implementations.

 Application Server

StatusComment
WildFly 26Experimental.Requires EJBCA >=7.8.1.
WildFly 25Experimental.Requires EJBCA >=7.8.1.
WildFly 24Recommended.
JBoss EAP 7.4Recommended.
JBoss EAP 7.3Working.
JBoss EAP 7.2Working.No longer supported by Red Hat. Customers are advised to upgrade to JBoss EAP 7.4.
JBoss EAP 7.1Working.No longer supported by Red Hat. Customers are advised to upgrade to JBoss EAP 7.4.

JBoss EAP 7.0

Working.

No longer supported by Red Hat. Customers are advised to upgrade to JBoss EAP 7.4.

Next Step: Pick your Application Server

Depending on your application server, select configuration instructions below: